
#include <stdio.h>
#include "ssl_locl.h"
#include <openssl/bio.h>
#include <openssl/objects.h>
#include <openssl/evp.h>
#include <openssl/x509.h>
#include <openssl/pem.h>

static int ssl_set_cert(CERT *c, X509 *x509);
// Used by
int SSL_use_certificate(SSL *ssl, X509 *x)
// Used by
int SSL_use_certificate_file(SSL *ssl, const char *file, int type)

static int ssl_set_pkey(CERT *c, EVP_PKEY *pkey);
// Used by
int SSL_use_RSAPrivateKey(SSL *ssl, RSA *rsa)
// Used by
int SSL_use_RSAPrivateKey_file(SSL *ssl, const char *file, int type)
int SSL_use_RSAPrivateKey_ASN1(SSL *ssl, unsigned char *d, long len)

// Uses ssl_set_pkey
int SSL_use_PrivateKey(SSL *ssl, EVP_PKEY *pkey)
// Used by
int SSL_use_PrivateKey_file(SSL *ssl, const char *file, int type)
int SSL_use_PrivateKey_ASN1(int type, SSL *ssl, unsigned char *d, long len)

	
// Uses ssl_set_cert
int SSL_CTX_use_certificate(SSL_CTX *ctx, X509 *x)
// Used by
int SSL_CTX_use_certificate_file(SSL_CTX *ctx, const char *file, int type)
int SSL_CTX_use_certificate_ASN1(SSL_CTX *ctx, int len, unsigned char *d)

// Uses ssl_set_pkey
int SSL_CTX_use_RSAPrivateKey(SSL_CTX *ctx, RSA *rsa)
// Used by
int SSL_CTX_use_RSAPrivateKey_file(SSL_CTX *ctx, const char *file, int type)
int SSL_CTX_use_RSAPrivateKey_ASN1(SSL_CTX *ctx, unsigned char *d, long len)

// Uses ssl_set_pkey
int SSL_CTX_use_PrivateKey(SSL_CTX *ctx, EVP_PKEY *pkey)
// Used by
int SSL_CTX_use_PrivateKey_file(SSL_CTX *ctx, const char *file, int type)
int SSL_CTX_use_PrivateKey_ASN1(int type, SSL_CTX *ctx, unsigned char *d,

// USES SSL_CTX_use_certificate(ctx,x);
int SSL_CTX_use_certificate_chain_file(SSL_CTX *ctx, const char *file)
